Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.stax
Class AttributeReader

    java.lang.Object
      org.codehaus.xfire.aegis.AbstractMessageReader
          org.codehaus.xfire.aegis.stax.AttributeReader

All Implemented Interfaces:
  MessageReader

    public class AttributeReader

extends AbstractMessageReader

Constructor Summary
`AttributeReader(javax.xml.namespace.QName name, java.lang.String value)`

Method Summary
`java.lang.String` | `getLocalName()` Get the local name of the element this reader represents.
`javax.xml.namespace.QName` | `getName()`
`java.lang.String` | `getNamespace()`
`MessageReader` | `getNextAttributeReader()`
`MessageReader` | `getNextElementReader()`
`java.lang.String` | `getValue()`
`boolean` | `hasMoreAttributeReaders()`
`boolean` | `hasMoreElementReaders()`

Methods inherited from class org.codehaus.xfire.aegis.AbstractMessageReader
`getValueAsBoolean, getValueAsDouble, getValueAsFloat, getValueAsInt, getValueAsLong, hasValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeReader

    public AttributeReader(javax.xml.namespace.QName name,
                           java.lang.String value)

Method Detail

### getValue

    public java.lang.String getValue()

### hasMoreAttributeReaders

    public boolean hasMoreAttributeReaders()

### getNextAttributeReader

    public MessageReader getNextAttributeReader()

### hasMoreElementReaders

    public boolean hasMoreElementReaders()

### getNextElementReader

    public MessageReader getNextElementReader()

### getName

    public javax.xml.namespace.QName getName()

### getLocalName

    public java.lang.String getLocalName()

  Description copied from interface: `MessageReader`
  Get the local name of the element this reader represents.

  Returns:

### getNamespace

    public java.lang.String getNamespace()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.